Bug 471555 - Rhythmbox crashes when playing songs from Play Queue
Rhythmbox crashes when playing songs from Play Queue
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhythmbox (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Bastien Nocera
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 03:46 EST by lihuang
Modified: 2009-09-02 11:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 11:04:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash log from bug reporter. (32.94 KB, text/plain)
2008-11-14 03:46 EST, lihuang
no flags Details
strace log (1.42 MB, text/plain)
2008-11-14 03:50 EST, lihuang
no flags Details
crash log on RHEL5.2 (14.68 KB, text/plain)
2008-11-16 23:17 EST, lihuang
no flags Details

  None (edit)
Description lihuang 2008-11-14 03:46:44 EST
Created attachment 323555 [details]
crash log from bug reporter.

Description of problem:
I was playing with the Play Queue (double click to play from one track to another,drag and drop Time Slider) when rhythmbox crash suddenly. the Play Queue included 10 tracks from static playlist  and the whole Magnatune store ( about 8100 tracks ).


Version-Release number of selected component (if applicable):
rhythmbox-0.11.6-4.el5

How reproducible:
30%


Steps to Reproduce:
1.Select some tracks from playlist, and add them to Play Queue.
2.Enable Magnatune plugin, and add the whole store to Play Queue.
3.From the Play Queue source, double click tracks to play it.
4.Drag and drop Time Slider
  
Actual results:
see the crash log.

Expected results:


Additional info:
Comment 1 lihuang 2008-11-14 03:50:16 EST
Created attachment 323556 [details]
strace log

Rhythmbox freeze when launching it after the crash.  the attachment is log of command ' strace rhythmbox'.
Comment 3 Bastien Nocera 2008-11-16 16:56:20 EST
Can't do anything with an strace, I need a stack trace:
https://fedoraproject.org/wiki/StackTraces
Comment 4 lihuang 2008-11-16 23:17:11 EST
Created attachment 323735 [details]
crash log on RHEL5.2

Hi, Nocera

This is the crash log  with RHEL5.2,


and the first attachment [https://bugzilla.redhat.com/attachment.cgi?id=323555]
is the stack trace

and the attachment in #comment1    is  some debug log when rhythmbox freezing:
.....
select(24, [23], NULL, NULL, NULL)      = 1 (in [23])
read(23, "HTTP/1.1 200 OK\r\nServer: Mathopd/"..., 4096) = 270
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=405, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=405, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=405, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=405, ...}) = 0
gettimeofday({1226652332, 60566}, NULL) = 0
write(23, "HEAD /all/05-Mash%20Up%20The%20DJ"..., 165) = 165
read(23, 0xa9c4dec, 4096)               = -1 EAGAIN (Resource temporarily unavailable)
Comment 5 Bastien Nocera 2008-11-17 07:48:29 EST
The attachment in comment 1 is the output of strace (system call trace, not a stack trace). The gdb output in comment 4 is what I'm after, but you're missing all the necessary symbols available in the debuginfo packages.

See https://fedoraproject.org/wiki/StackTraces for instructions on how to get a useful stacktrace of the crash.
Comment 6 lihuang 2009-09-02 11:04:48 EDT
hi. I can not reproduce in rhythmbox-0.11.6-1.8.el5_2.x86_64 now.
setting to CLOSED now. the i meet it again. i will reopen with the bt.

Thanks
Lijun Huang

Note You need to log in before you can comment on or make changes to this bug.